| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
IJobOptionsSvc Class Referenceabstract

Main interface for the JobOptions service. More...

`#include <GaudiKernel/IJobOptionsSvc.h>`

Inheritance diagram for IJobOptionsSvc:
[legend]
Collaboration diagram for IJobOptionsSvc:
[legend]

## Public Member Functions
| DeclareInterfaceID (IJobOptionsSvc, 4, 1)
| InterfaceID. More...
virtual StatusCode | setMyProperties (const std::string &client, IProperty *me)=0
| Override default properties of the calling client. More...
virtual StatusCode | addPropertyToCatalogue (const std::string &client, const Gaudi::Details::PropertyBase &property)=0
| Add a property into the JobOptions catalog. More...
virtual StatusCode | removePropertyFromCatalogue (const std::string &client, const std::string &name)=0
| Remove a property from the JobOptions catalog. More...
virtual const std::vector< const Gaudi::Details::PropertyBase * > * | getProperties (const std::string &client) const =0
| Get the properties associated to a given client. More...
virtual const Gaudi::Details::PropertyBase * | getClientProperty (const std::string &client, const std::string &name) const =0
| Get a property for a client. More...
virtual std::vector< std::string > | getClients () const =0
| Get the list of clients. More...
virtual StatusCode | readOptions (const std::string &file, const std::string &path="")=0
| look for file 'File' into search path 'Path' and read it to update existing JobOptionsCatalogue More...
Public Member Functions inherited from IInterface
virtual void * | i_cast (const InterfaceID &) const =0
| main cast function More...
virtual std::vector< std::string > | getInterfaceNames () const =0
| Returns a vector of strings containing the names of all the implemented interfaces. More...
virtual unsigned long | addRef ()=0
| Increment the reference count of Interface instance. More...
virtual unsigned long | release ()=0
| Release Interface instance. More...
virtual unsigned long | refCount () const =0
| Current reference count. More...
virtual StatusCode | queryInterface (const InterfaceID &ti, void **pp)=0
| Set the void** to the pointer to the requested interface of the instance. More...
virtual | ~IInterface ()=default
| Virtual destructor. More...

## Additional Inherited Members
Public Types inherited from IInterface
enum | Status { SUCCESS = 1, NO_INTERFACE, VERSMISMATCH, LAST_ERROR }
| Return status. More...
using | iid = Gaudi::InterfaceId< IInterface, 0, 0 >
| Interface ID. More...
using | ext_iids = Gaudi::interface_list< iid >
| Extra interfaces. More...
Static Public Member Functions inherited from IInterface
static const InterfaceID & | interfaceID ()
| Return an instance of InterfaceID identifying the interface. More...

## Detailed Description

Main interface for the JobOptions service.

Author
  Pere Mato

Definition at line 20 of file IJobOptionsSvc.h.

## Member Function Documentation

virtual StatusCode IJobOptionsSvc::addPropertyToCatalogue | ( | const std::string & | client,
|  | const Gaudi::Details::PropertyBase & | property
| ) |  |
| pure virtual

Add a property into the JobOptions catalog.

IJobOptionsSvc::DeclareInterfaceID | ( | IJobOptionsSvc | ,
|  | 4 | ,
|  | 1 |
| ) |  |

InterfaceID.

virtual const Gaudi::Details::PropertyBase* IJobOptionsSvc::getClientProperty | ( | const std::string & | client,
|  | const std::string & | name
| ) |  | const
| pure virtual

Get a property for a client.

virtual std::vector<std::string> IJobOptionsSvc::getClients | ( |  | ) | const
| pure virtual

Get the list of clients.

virtual const std::vector<const Gaudi::Details::PropertyBase*>* IJobOptionsSvc::getProperties | ( | const std::string & | client | ) | const
| pure virtual

Get the properties associated to a given client.

virtual StatusCode IJobOptionsSvc::readOptions | ( | const std::string & | file,
|  | const std::string & | path = `""`
| ) |  |
| pure virtual

look for file 'File' into search path 'Path' and read it to update existing JobOptionsCatalogue

Parameters

  File | file name
  Path | search path

Returns
  status code

virtual StatusCode IJobOptionsSvc::removePropertyFromCatalogue | ( | const std::string & | client,
|  | const std::string & | name
| ) |  |
| pure virtual

Remove a property from the JobOptions catalog.

virtual StatusCode IJobOptionsSvc::setMyProperties | ( | const std::string & | client,
|  | IProperty * | me
| ) |  |
| pure virtual

Override default properties of the calling client.

Parameters

  client | Name of the client algorithm or service
  me | Address of the interface IProperty of the client

The documentation for this class was generated from the following file:

- GaudiKernel/GaudiKernel/IJobOptionsSvc.h